com.google.cloud.dataflow.sdk.options

## Class DataflowPipelineOptions.JobNameFactory

- java.lang.Object
- - com.google.cloud.dataflow.sdk.options.DataflowPipelineOptions.JobNameFactory

All Implemented Interfaces:
  DefaultValueFactory<String>

Enclosing interface:
  DataflowPipelineOptions

    public static class DataflowPipelineOptions.JobNameFactory
    extends Object
    implements DefaultValueFactory<String>

Returns a normalized job name constructed from `ApplicationNameOptions.getAppName()`, the local system user name (if available), and the current time. The normalization makes sure that the job name matches the required pattern of [a-z]([-a-z0-9]*[a-z0-9])? and length limit of 40 characters.

This job name factory is only able to generate one unique name per second per application and user combination.

### Constructor Summary

Constructors
Constructor and Description
`JobNameFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `create(PipelineOptions options)` Creates a default value for a getter marked with `Default.InstanceFactory`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JobNameFactory

    public JobNameFactory()

### Method Detail

#### create

    public String create(PipelineOptions options)

Description copied from interface: `DefaultValueFactory`
Creates a default value for a getter marked with `Default.InstanceFactory`.

Specified by:
  `create` in interface `DefaultValueFactory<String>`
Parameters:
  `options` - The current pipeline options.
Returns:
  The default value to be used for the annotated getter.